(function (ng) {

    /**
     * @ngdoc object
     * @module apeman-ui-contrib-angular-tabbing
     * @name apTabbingTmplConst
     * @description
     * Constant for template.
     */
    "use strict";

    ng
        .module('apeman-ui-contrib-angular-tabbing')
        .constant('apTabbingTmplConst',
        {
		    "templates/ap-tab-bar.html": "<div class=\"ap-tab-bar-item\"\n     data-ap-tab=\"{{item.key}}\"\n     ng:repeat=\"item in tab.items\"\n     ng:class=\"{'ap-tab-bar-item-selected': tab.isSelected(item.key)}\"\n     ng:click=\"tab.select(item.key);\"\n     ng:hide=\"item.hidden\">\n    <i class=\"ap-tab-bar-item-icon\"\n       ng:class=\"::item.icon\"\n       ng:show=\"!tab.isSelected(item.key)\"\n            ></i><i class=\"ap-tab-bar-item-icon ap-tab-bar-item-icon-selected\"\n                    ng:class=\"::(item.iconSelected || item.icon)\"\n                    ng:show=\"tab.isSelected(item.key)\"\n        ></i><label class=\"ap-tab-bar-item-label\">{{::item.title}}</label>\n</div>"
		}
        );

})(angular);