(function (ng, $) {

    /**
     * @ngdoc directive
     * @name apTabBar
     * @module apeman-ui-contrib-angular-tabbing
     * @description Tab bar element.
     * @restrict E
     */

    "use strict";

    ng
        .module('apeman-ui-contrib-angular-tabbing')
        .directive('apTabBar', function (apTabbingTmplConst) {
            return {
                restrict: 'E',
                scope: {
                    tab: '=apTab'
                },
                link: function (scope, elm) {
                    var $elm = $(elm);
                    $elm.addClass('ap-tab-bar');
                },
                template: apTabbingTmplConst['templates/ap-tab-bar.html']
            }
        });

})(angular, jQuery);