(function (ng) {

    /**
     * @ngdoc service
     * @module apeman-ui-contrib-angular-tabbing
     * @name apTab
     * @description A tab instance service.
     */

    "use strict";

    ng
        .module('apeman-ui-contrib-angular-tabbing')
        .service('apTab', function apTabService(ApTab) {
            var s = this;
            s.__proto__ = new ApTab({});

            /**
             * Create a new ap tab instance.
             * @param {object} config
             * @returns {ApTab|*}
             */
            s.create = function (config) {
                return new ApTab(config);
            }
        });


})(angular);